Subject: Re: [PATCH] builtin/ls-remote: fall back to SHA1 outside of a repo

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Aug 2024 08:26:45 -0700

Patrick Steinhardt <[email-masked]> writes:

> I didn't spot this in the "What's cooking" report. I guess that's my own
> fault for not sending it as a proper patch, so let me fix that now :)

Yeah, I had a fix already when I gave my response to the initial
problem report, but felt that it was too premature to commit to the
approach before listening to others (you included) for potentially
better alternative approaches, and then forgot about it.

The fix here is in line with my thoughts, after seeing how other
parts of the transport work.  Thanks for tying the loose ends.